com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum TimeRange.Unit

- java.lang.Object
- - java.lang.Enum<TimeRange.Unit>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.TimeRange.Unit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimeRange.Unit>
  Enclosing class:
    TimeRange

      public static enum TimeRange.Unit
      extends java.lang.Enum<TimeRange.Unit>

  The unit for the time range. Used in conjunction with the value to define a time range. For example:

  unit = hour
  value = 3

  indicates a duration of three hours.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MONTH`
    `WEEK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeRange.Unit` | `forValue(int value)`
    `int` | `getValue()`
    `static TimeRange.Unit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimeRange.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOUR

          public static final TimeRange.Unit HOUR

    - #### DAY

          public static final TimeRange.Unit DAY

    - #### WEEK

          public static final TimeRange.Unit WEEK

    - #### MONTH

          public static final TimeRange.Unit MONTH

  - ### Method Detail

    - #### values

          public static TimeRange.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeRange.Unit c : TimeRange.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeRange.Unit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static TimeRange.Unit forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.